ArrayedCollection variableSignedWordSubclass:#SignedWordArray
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Arrayed'
!

!SignedWordArray class methodsFor:'documentation'!

documentation
"
    SignedWordArrays store integers in the range -16r8000..16r7FFF.
    They are much like WordArrays, but the values stored are signed.
    In contrast to normal arrays (which store pointers to their elements),
    signedWordArrays store the values in a dense & compact way. 
    Therefore, SIgnedordArrays can be used to hold bulk data in a more compact way.
        For example:
            Array new:100000 withAll:1
        requires 400k of object memory;

        in contrast,
            SignedordArray new:100000 withAll:1
        only requires half of it.

    [see also:]
        ByteArray WordArray BooleanArray FloatArray DoubleArray Array

    [author:]
        Claus Gittinger
"

! !

!SignedWordArray class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/SignedWordArray.st,v 1.1 1997-08-14 13:54:58 cg Exp $'
! !
